import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';

part 'analytics_date_picker_event.dart';

class AnalyticsDatePickerBloc extends Bloc<AnalyticsDatePickerEvent, DateTime> {
  AnalyticsDatePickerBloc() : super(DateTime.now()) {
    on<UpdateAnalyticsDatePickerEvent>(_onUpdateAnalyticsDatePickerEvent);
  }

  void _onUpdateAnalyticsDatePickerEvent(
    UpdateAnalyticsDatePickerEvent event,
    Emitter<DateTime> emit,
  ) {
    emit(event.date);
  }
}
